    001package javax.visrec.regression;
    002
    003import javax.visrec.ml.classification.Classifier;
    004
    005/**
    006 * This class performs basic binary classification - mapping of specified input to true/false with probability.
    007 *
    008 * @author Zoran Sevarac
    009 * @param <MODEL_CLASS> Implementation class of underlying machine learning model
    010 */
    011public abstract class LogisticRegression<MODEL_CLASS> implements Classifier<float[], Boolean>{
    012
    013    private MODEL_CLASS model;
    014
    015    public MODEL_CLASS getModel() {
    016        return model;
    017    }
    018
    019    protected void setModel(MODEL_CLASS model) {
    020        this.model = model;
    021    }
    022
    023    // add train method here so we can dow model.train()
    024}